Build looks "stuck", shows no errors for +10 minutes, and show multiple GraphQL erros when cancelled

Hello!
I am having an issue deploying my Gatsby website in Netlify. For some reason, the build looks stuck and doesn’t move after a certain point:

10:53:09 AM: Build ready to start
10:53:11 AM: build-image version: 0582042f4fc261adc7bd8333f34884959c577302
10:53:11 AM: build-image tag: v3.7.6
10:53:11 AM: buildbot version: 5bd5f67b3a2fd548e6d0fc6a8ce4f41761563804
10:53:11 AM: Building without cache
10:53:11 AM: Starting to prepare the repo for build
10:53:11 AM: No cached dependencies found. Cloning fresh repo
10:53:11 AM: git clone https://github.com/ftpaul/ftpaul
10:53:13 AM: Preparing Git Reference pull/30/head
10:53:13 AM: Parsing package.json dependencies
10:53:14 AM: Starting build script
10:53:14 AM: Installing dependencies
10:53:14 AM: Python version set to 2.7
10:53:14 AM: Attempting node version '14' from .node-version
10:53:15 AM: Downloading and installing node v14.17.0...
10:53:15 AM: Downloading https://nodejs.org/dist/v14.17.0/node-v14.17.0-linux-x64.tar.xz...
10:53:16 AM: Computing checksum with sha256sum
10:53:16 AM: Checksums matched!
10:53:19 AM: Now using node v14.17.0 (npm v6.14.13)
10:53:19 AM: Started restoring cached build plugins
10:53:19 AM: Finished restoring cached build plugins
10:53:19 AM: Attempting ruby version 2.7.1, read from environment
10:53:21 AM: Using ruby version 2.7.1
10:53:21 AM: Using PHP version 5.6
10:53:21 AM: Started restoring cached yarn cache
10:53:21 AM: Finished restoring cached yarn cache
10:53:21 AM: Installing yarn at version 1.22.4
10:53:21 AM: Installing Yarn!
10:53:21 AM: > Downloading tarball...
10:53:21 AM: [1/2]: https://yarnpkg.com/downloads/1.22.4/yarn-v1.22.4.tar.gz --> /tmp/yarn.tar.gz.khh6cBKUim
10:53:21 AM:   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
10:53:21 AM:                                  Dload  Upload   Total   Spent    Left  Speed
10:53:22 AM:   0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
10:53:22 AM: 100    79  100    79    0     0    357      0 --:--:-- --:--:-- --:--:--   357
10:53:22 AM:   0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
10:53:22 AM: 100    93  100    93    0     0    159      0 --:--:-- --:--:-- --:--:--   930
10:53:22 AM: 100   625  100   625    0     0    728      0 --:--:-- --:--:-- --:--:--   728
10:53:23 AM: 100 1215k  100 1215k    0     0   982k      0  0:00:01  0:00:01 --:--:--  982k
10:53:23 AM: [2/2]: https://yarnpkg.com/downloads/1.22.4/yarn-v1.22.4.tar.gz.asc --> /tmp/yarn.tar.gz.khh6cBKUim.asc
10:53:23 AM: 100    83  100    83    0     0   1921      0 --:--:-- --:--:-- --:--:--  1921
10:53:23 AM: 100    97  100    97    0     0   1347      0 --:--:-- --:--:-- --:--:--  1347
10:53:23 AM: 100   629  100   629    0     0   6368      0 --:--:-- --:--:-- --:--:--  6368
10:53:23 AM: 100  1028  100  1028    0     0   8055      0 --:--:-- --:--:-- --:--:--  8055
10:53:23 AM: > Verifying integrity...
10:53:23 AM: gpg: Signature made Mon 09 Mar 2020 03:52:13 PM UTC using RSA key ID 69475BAA
10:53:23 AM: gpg: Good signature from "Yarn Packaging <yarn@dan.cx>"
10:53:23 AM: gpg: WARNING: This key is not certified with a trusted signature!
10:53:23 AM: gpg:          There is no indication that the signature belongs to the owner.
10:53:23 AM: Primary key fingerprint: 72EC F46A 56B4 AD39 C907  BBB7 1646 B01B 86E5 0310
10:53:23 AM:      Subkey fingerprint: 6D98 490C 6F1A CDDD 448E  4595 4F77 6793 6947 5BAA
10:53:23 AM: > GPG signature looks good
10:53:23 AM: > Extracting to ~/.yarn...
10:53:23 AM: > Adding to $PATH...
10:53:23 AM: > Successfully installed Yarn 1.22.4! Please open another terminal where the `yarn` command will now be available.
10:53:24 AM: No yarn workspaces detected
10:53:24 AM: Started restoring cached node modules
10:53:24 AM: Finished restoring cached node modules
10:53:24 AM: Installing NPM modules using Yarn version 1.22.4
10:53:24 AM: yarn install v1.22.4
10:53:25 AM: [1/4] Resolving packages...
10:53:26 AM: [2/4] Fetching packages...
10:53:34 AM: warning url-loader@1.1.2: Invalid bin field for "url-loader".
10:54:04 AM: info fsevents@2.3.2: The platform "linux" is incompatible with this module.
10:54:04 AM: info "fsevents@2.3.2" is an optional dependency and failed compatibility check. Excluding it from installation.
10:54:04 AM: info fsevents@1.2.13: The platform "linux" is incompatible with this module.
10:54:04 AM: info "fsevents@1.2.13" is an optional dependency and failed compatibility check. Excluding it from installation.
10:54:04 AM: [3/4] Linking dependencies...
10:54:04 AM: warning "gatsby > @typescript-eslint/eslint-plugin > tsutils@3.21.0" has unmet peer dependency "typescript@>=2.8.0 || >= 3.2.0-dev || >= 3.3.0-dev || >= 3.4.0-dev || >= 3.5.0-dev || >= 3.6.0-dev || >= 3.6.0-beta || >= 3.7.0-dev || >= 3.7.0-beta".
10:54:04 AM: warning "gatsby-plugin-emotion > @emotion/babel-preset-css-prop > @babel/plugin-transform-react-jsx@7.14.3" has unmet peer dependency "@babel/core@^7.0.0-0".
10:54:04 AM: warning "gatsby-plugin-emotion > @emotion/babel-preset-css-prop > @babel/plugin-transform-react-jsx-development@7.12.17" has unmet peer dependency "@babel/core@^7.0.0-0".
10:54:04 AM: warning "gatsby-plugin-emotion > @emotion/babel-preset-css-prop > @emotion/babel-plugin-jsx-pragmatic > @babel/plugin-syntax-jsx@7.12.13" has unmet peer dependency "@babel/core@^7.0.0-0".
10:54:04 AM: warning "gatsby > eslint-plugin-graphql > graphql-config > @endemolshinegroup/cosmiconfig-typescript-loader > ts-node@9.1.1" has unmet peer dependency "typescript@>=2.7".
10:54:04 AM: warning " > gatsby-plugin-emotion@4.5.0" has unmet peer dependency "@babel/core@^7.11.6".
10:54:04 AM: warning "gatsby-plugin-emotion > @emotion/babel-preset-css-prop@10.2.1" has unmet peer dependency "@babel/core@^7.0.0".
10:54:04 AM: warning "gatsby-plugin-emotion > @emotion/babel-preset-css-prop > @emotion/babel-plugin-jsx-pragmatic@0.1.5" has unmet peer dependency "@babel/core@^7.0.0".
10:54:04 AM: warning " > styled-components@5.3.0" has unmet peer dependency "react-is@>= 16.8.0".
10:54:22 AM: [4/4] Building fresh packages...
10:54:31 AM: Done in 66.16s.
10:54:31 AM: NPM modules installed using Yarn
10:54:31 AM: Started restoring cached go cache
10:54:31 AM: Finished restoring cached go cache
10:54:31 AM: go version go1.14.4 linux/amd64
10:54:31 AM: go version go1.14.4 linux/amd64
10:54:31 AM: Installing missing commands
10:54:31 AM: Verify run directory
10:54:32 AM: ​
10:54:32 AM: ────────────────────────────────────────────────────────────────
10:54:32 AM:   Netlify Build                                                 
10:54:32 AM: ────────────────────────────────────────────────────────────────
10:54:32 AM: ​
10:54:32 AM: ❯ Version
10:54:32 AM:   @netlify/build 11.31.1
10:54:32 AM: ​
10:54:32 AM: ❯ Flags
10:54:32 AM:   deployId: 60b89875501e34da2a8e1a5d
10:54:32 AM: ​
10:54:32 AM: ❯ Current directory
10:54:32 AM:   /opt/build/repo
10:54:32 AM: ​
10:54:32 AM: ❯ Config file
10:54:32 AM:   No config file was defined: using default values.
10:54:32 AM: ​
10:54:32 AM: ❯ Context
10:54:32 AM:   deploy-preview
10:54:32 AM: ​
10:54:32 AM: ────────────────────────────────────────────────────────────────
10:54:32 AM:   1. Build command from Netlify app                             
10:54:32 AM: ────────────────────────────────────────────────────────────────
10:54:32 AM: ​
10:54:32 AM: $ yarn start
10:54:32 AM: yarn run v1.22.4
10:54:32 AM: $ npm run develop
10:54:32 AM: npm WARN lifecycle The node binary used for scripts is /tmp/yarn--1622710472655-0.8324347798052658/node but npm is using /opt/buildhome/.nvm/versions/node/v14.17.0/bin/node itself. Use the `--scripts-prepend-node-path` option to include the path for the node binary npm was executed with.
10:54:32 AM: > ftpaul-personal-website@0.1.0 develop /opt/build/repo
10:54:32 AM: > gatsby develop
10:54:38 AM: success open and validate gatsby-configs - 0.105s
10:54:39 AM: success load plugins - 1.086s
10:54:39 AM: success onPreInit - 0.053s
10:54:39 AM: success initialize cache - 0.010s
10:54:39 AM: success copy gatsby files - 0.071s
10:54:40 AM: success onPreBootstrap - 0.507s
10:54:40 AM: success createSchemaCustomization - 0.047s
10:54:40 AM: success Checking for changed pages - 0.000s
10:54:40 AM: success source and transform nodes - 0.238s
10:54:41 AM: success building schema - 0.518s
10:54:41 AM: info Total nodes: 56, SitePage nodes: 2 (use --verbose for breakdown)
10:54:41 AM: success createPages - 0.035s
10:54:41 AM: success Checking for changed pages - 0.000s
10:54:41 AM: success createPagesStatefully - 0.093s
10:54:41 AM: success update schema - 0.036s
10:54:41 AM: success write out redirect data - 0.001s
10:54:41 AM: success onPostBootstrap - 0.002s
10:54:41 AM: info bootstrap finished - 6.453s
10:54:41 AM: success onPreExtractQueries - 0.001s
10:54:42 AM: success extract queries from components - 0.729s
10:54:42 AM: success write out requires - 0.013s
10:54:42 AM: success run static queries - 0.030s - 2/2 66.88/s
10:54:42 AM: success run page queries - 0.728s - 9/9 12.37/s
10:54:52 AM: success Generating image thumbnails - 9.915s - 7/7 0.71/s
10:55:09 AM: β €
10:55:09 AM: You can now view ftpaul-personal-website in the browser.
10:55:09 AM: β €
10:55:09 AM:   http://localhost:8000/
10:55:09 AM: β €
10:55:09 AM: View GraphiQL, an in-browser IDE, to explore your site's data and schemaβ €
10:55:09 AM:   http://localhost:8000/___graphql
10:55:09 AM: β €
10:55:09 AM: Note that the development build is not optimized.
10:55:09 AM: To create a production build, use gatsby build
10:55:09 AM: β €
10:55:09 AM: warning ESLintError: 
10:55:09 AM: /opt/build/repo/src/pages/index.js
10:55:09 AM:    2:10  warning  'graphql' is defined but never used  no-unused-vars
10:55:09 AM:   10:8   warning  'Img' is defined but never used      no-unused-vars
10:55:09 AM: 
10:55:09 AM: βœ– 2 problems (0 errors, 2 warnings)
10:55:09 AM: 
10:55:09 AM: success Building development bundle - 24.656s

The deployment is stuck and only throws errors when I cancel it. The project works fine on my localhost and I have upgraded the packages.

11:00:15 AM: Canceling deploy
11:00:16 AM: success onPreExtractQueries - 0.007s
11:00:16 AM: error There was a problem reading the file: /opt/build/repo/.cache/dev-404-page.js
11:00:16 AM: 
11:00:16 AM: 
11:00:16 AM:   Error: ENOENT: no such file or directory, open '/opt/build/repo/.cache/dev-404  -page.js'
11:00:16 AM: 
11:00:16 AM: failed extract queries from components - 0.142s
11:00:16 AM: success write out requires - 0.003s
11:00:16 AM: error Generating development JavaScript bundle failed
11:00:16 AM: ENOENT: no such file or directory, open '/opt/build/repo/.cache/app.js'
11:00:16 AM: error Generating development JavaScript bundle failed
11:00:16 AM: ENOENT: no such file or directory, open '/opt/build/repo/.cache/polyfill-entry.js'
11:00:16 AM: error Generating development JavaScript bundle failed
11:00:16 AM: ENOENT: no such file or directory, open '/opt/build/repo/node_modules/webpack-hot-middleware/client.js'
11:00:16 AM: failed Re-building development bundle - 0.183s
11:00:18 AM: success onPreExtractQueries - 0.001s
11:00:18 AM: error There was a problem reading the file: /opt/build/repo/.cache/dev-404-page.js
11:00:18 AM: 
11:00:18 AM: 
11:00:18 AM:   Error: ENOENT: no such file or directory, open '/opt/build/repo/.cache/dev-404  -page.js'
11:00:18 AM: 
11:00:18 AM: error There was an error in your GraphQL query:
11:00:18 AM: The fragment "GatsbyImageSharpFluid" does not exist.
11:00:18 AM:   103 |
11:00:18 AM:   104 |
11:00:18 AM:   105 |   <Footer />
11:00:18 AM:   106 |   </>
11:00:18 AM:   107 |   )
11:00:18 AM:   108 | }
11:00:18 AM:   109 |
11:00:18 AM:   110 |
11:00:18 AM:   111 |
11:00:18 AM:   112 |
11:00:18 AM: > 113 | export const query = graphql`      |                              ^^^^^^^^^^^^^^^^^^^^^^^^  114 | {  115 |     116 |   heroImage: file(relativePath: {eq: "icons8-bermuda-illustration-002.png"}) {  117 |     childImageSharp {  118 |       fluid(maxWidth: 1500) {  119 |         ...GatsbyImageSharpFluid  120 |       }  121 |     }  122 |   }  123 | }failed extract queries from components - 0.041s
11:00:18 AM: success write out requires - 0.001s
11:00:18 AM: error Generating development JavaScript bundle failed
11:00:18 AM: ENOENT: no such file or directory, open '/opt/build/repo/.cache/app.js'
11:00:18 AM: error Generating development JavaScript bundle failed
11:00:18 AM: ENOENT: no such file or directory, open '/opt/build/repo/.cache/polyfill-entry.js'
11:00:18 AM: error Generating development JavaScript bundle failed
11:00:18 AM: ENOENT: no such file or directory, open '/opt/build/repo/node_modules/webpack-hot-middleware/client.js'
11:00:18 AM: failed Re-building development bundle - 0.015s
11:00:18 AM: success onPreExtractQueries - 0.006s
11:00:18 AM: error There was a problem reading the file: /opt/build/repo/.cache/dev-404-page.js
11:00:18 AM: 
11:00:18 AM: 
11:00:18 AM:   Error: ENOENT: no such file or directory, open '/opt/build/repo/.cache/dev-404  -page.js'
11:00:18 AM: 
11:00:18 AM: error There was an error in your GraphQL query:
11:00:18 AM: The fragment "GatsbyImageSharpFluid" does not exist.
11:00:18 AM:   103 |
11:00:18 AM:   104 |
11:00:18 AM:   105 |   <Footer />
11:00:18 AM:   106 |   </>
11:00:18 AM:   107 |   )
11:00:18 AM:   108 | }
11:00:18 AM:   109 |
11:00:18 AM:   110 |
11:00:18 AM:   111 |
11:00:18 AM:   112 |
11:00:18 AM: > 113 | export const query = graphql`      |                              ^^^^^^^^^^^^^^^^^^^^^^^^  114 | {  115 |     116 |   heroImage: file(relativePath: {eq: "icons8-bermuda-illustration-002.png"}) {  117 |     childImageSharp {  118 |       fluid(maxWidth: 1500) {  119 |         ...GatsbyImageSharpFluid  120 |       }  121 |     }  122 |   }  123 | }failed extract queries from components - 0.081s
11:00:18 AM: success write out requires - 0.001s
11:00:18 AM: error Generating development JavaScript bundle failed
11:00:18 AM: ENOENT: no such file or directory, open '/opt/build/repo/.cache/app.js'
11:00:18 AM: error Generating development JavaScript bundle failed
11:00:18 AM: ENOENT: no such file or directory, open '/opt/build/repo/.cache/polyfill-entry.js'
11:00:18 AM: error Generating development JavaScript bundle failed
11:00:18 AM: ENOENT: no such file or directory, open '/opt/build/repo/node_modules/webpack-hot-middleware/client.js'
11:00:18 AM: failed Re-building development bundle - 0.015s
11:00:19 AM: info deleted directory at /opt/build/repo/src/data/post
11:00:19 AM: info deleted directory at /opt/build/repo/src/data
11:00:19 AM: info deleted directory at /opt/build/repo/src/assets/images
11:00:19 AM: info deleted directory at /opt/build/repo/src/assets/documents
11:00:19 AM: info deleted file at /opt/build/repo/src/data/post/00-okrs-as-perdonal-goal.md
11:00:19 AM: info deleted file at /opt/build/repo/src/data/resume.md
11:00:19 AM: info deleted file at /opt/build/repo/src/assets/images/paulo-teixeira-square-bowtie.jpg
11:00:19 AM: info deleted file at /opt/build/repo/src/assets/images/icons8-bermuda-illustration-001.png
11:00:19 AM: info deleted file at /opt/build/repo/src/assets/images/icons8-bermuda-illustration-002.png
11:00:19 AM: info deleted file at /opt/build/repo/src/assets/images/paulo-teixeira-square.jpg
11:00:19 AM: info deleted file at /opt/build/repo/src/assets/documents/2020_Paulo_Teixeira_resume.pdf
11:00:20 AM: success building schema - 0.357s
11:00:20 AM: error There was an error in your GraphQL query:
11:00:20 AM: Expected type MarkdownRemarkFieldsEnum, found frontmatter___date.
11:00:20 AM: 
11:00:20 AM: 
11:00:20 AM:   GraphQLError: Expected type MarkdownRemarkFieldsEnum, found frontmatter___date  .
11:00:20 AM:   
11:00:20 AM:   - graphql-runner.js:79 GraphQLRunner.validate
11:00:20 AM:     [repo]/[gatsby]/dist/query/graphql-runner.js:79:44
11:00:20 AM:   
11:00:20 AM:   - graphql-runner.js:144 GraphQLRunner.query
11:00:20 AM:     [repo]/[gatsby]/dist/query/graphql-runner.js:144:25
11:00:20 AM:   
11:00:20 AM:   - create-graphql-runner.js:40 
11:00:20 AM:     [repo]/[gatsby]/dist/bootstrap/create-graphql-runner.js:40:19
11:00:20 AM:   
11:00:20 AM:   - gatsby-node.js:4 Object.exports.createPages
11:00:20 AM:     /opt/build/repo/gatsby-node.js:4:24
11:00:20 AM:   
11:00:20 AM:   - api-runner-node.js:483 runAPI
11:00:20 AM:     [repo]/[gatsby]/dist/utils/api-runner-node.js:483:37
11:00:20 AM:   
11:00:20 AM:   - api-runner-node.js:636 Promise.catch.decorateEvent.pluginName
11:00:20 AM:     [repo]/[gatsby]/dist/utils/api-runner-node.js:636:15
11:00:20 AM:   
11:00:20 AM:   - debuggability.js:384 Promise._execute
11:00:20 AM:     [repo]/[bluebird]/js/release/debuggability.js:384:9
11:00:20 AM:   
11:00:20 AM:   - promise.js:518 Promise._resolveFromExecutor
11:00:20 AM:     [repo]/[bluebird]/js/release/promise.js:518:18
11:00:20 AM:   
11:00:20 AM:   - promise.js:103 new Promise
11:00:20 AM:     [repo]/[bluebird]/js/release/promise.js:103:10
11:00:20 AM:   
11:00:20 AM:   - api-runner-node.js:635 
11:00:20 AM:     [repo]/[gatsby]/dist/utils/api-runner-node.js:635:12
11:00:20 AM:   
11:00:20 AM:   - util.js:16 tryCatcher
11:00:20 AM:     [repo]/[bluebird]/js/release/util.js:16:23
11:00:20 AM:   
11:00:20 AM: 
11:00:20 AM: error There was an error in your GraphQL query:
11:00:20 AM: Field "fileAbsolutePath" is not defined by type MarkdownRemarkFilterInput.
11:00:20 AM: 
11:00:20 AM: 
11:00:20 AM:   GraphQLError: Field "fileAbsolutePath" is not defined by type MarkdownRemarkFi  lterInput.
11:00:20 AM:   
11:00:20 AM:   - graphql-runner.js:79 GraphQLRunner.validate
11:00:20 AM:     [repo]/[gatsby]/dist/query/graphql-runner.js:79:44
11:00:20 AM:   
11:00:20 AM:   - graphql-runner.js:144 GraphQLRunner.query
11:00:20 AM:     [repo]/[gatsby]/dist/query/graphql-runner.js:144:25
11:00:20 AM:   
11:00:20 AM:   - create-graphql-runner.js:40 
11:00:20 AM:     [repo]/[gatsby]/dist/bootstrap/create-graphql-runner.js:40:19
11:00:20 AM:   
11:00:20 AM:   - gatsby-node.js:4 Object.exports.createPages
11:00:20 AM:     /opt/build/repo/gatsby-node.js:4:24
11:00:20 AM:   
11:00:20 AM:   - api-runner-node.js:483 runAPI
11:00:20 AM:     [repo]/[gatsby]/dist/utils/api-runner-node.js:483:37
11:00:20 AM:   
11:00:20 AM:   - api-runner-node.js:636 Promise.catch.decorateEvent.pluginName
11:00:20 AM:     [repo]/[gatsby]/dist/utils/api-runner-node.js:636:15
11:00:20 AM:   
11:00:20 AM:   - debuggability.js:384 Promise._execute
11:00:20 AM:     [repo]/[bluebird]/js/release/debuggability.js:384:9
11:00:20 AM:   
11:00:20 AM:   - promise.js:518 Promise._resolveFromExecutor
11:00:20 AM:     [repo]/[bluebird]/js/release/promise.js:518:18
11:00:20 AM:   
11:00:20 AM:   - promise.js:103 new Promise
11:00:20 AM:     [repo]/[bluebird]/js/release/promise.js:103:10
11:00:20 AM:   
11:00:20 AM:   - api-runner-node.js:635 
11:00:20 AM:     [repo]/[gatsby]/dist/utils/api-runner-node.js:635:12
11:00:20 AM:   
11:00:20 AM:   - util.js:16 tryCatcher
11:00:20 AM:     [repo]/[bluebird]/js/release/util.js:16:23
11:00:20 AM:   
11:00:20 AM: 
11:00:20 AM: error There was an error in your GraphQL query:
11:00:20 AM: Cannot query field "frontmatter" on type "MarkdownRemark".
11:00:20 AM: If you don't expect "frontmatter" to exist on the type "MarkdownRemark" it is most likely a typo.However, if you expect "frontmatter" to exist there are a couple of solutions to common problems:
11:00:20 AM: - If you added a new data source and/or changed something inside gatsby-node.js/gatsby-config.js, please try a restart of your development server
11:00:20 AM: - The field might be accessible in another subfield, please try your query in GraphiQL and use the GraphiQL explorer to see which fields you can query and what shape they have
11:00:20 AM: - You want to optionally use your field "frontmatter" and right now it is not used anywhere. Therefore Gatsby can't infer the type and add it to the GraphQL schema. A quick fix is to add at least one entry with that field ("dummy content")
11:00:20 AM: It is recommended to explicitly type your GraphQL schema if you want to use optional fields. This way you don't have to add the mentioned "dummy content". Visit our docs to learn how you can define the schema for "MarkdownRemark":https://www.gatsbyjs.org/docs/schema-customization/#creating-type-definitions
11:00:20 AM: error Error while running GraphQL query.
11:00:20 AM: info Total nodes: 39, SitePage nodes: 2 (use --verbose for breakdown)
11:00:20 AM: failed createPages - 0.148s
11:00:20 AM: success Checking for changed pages - 0.001s
11:00:20 AM: success update schema - 0.049s
11:00:20 AM: success onPreExtractQueries - 0.001s
11:00:20 AM: error There was a problem reading the file: /opt/build/repo/.cache/dev-404-page.js
11:00:20 AM: 
11:00:20 AM: 
11:00:20 AM:   Error: ENOENT: no such file or directory, open '/opt/build/repo/.cache/dev-404  -page.js'
11:00:20 AM: 
11:00:20 AM: failed extract queries from components - 0.011s
11:00:20 AM: success write out requires - 0.006s
11:00:20 AM: success run static queries - 0.024s - 1/1 41.83/s
11:00:20 AM: error Generating development JavaScript bundle failed
11:00:20 AM: ENOENT: no such file or directory, open '/opt/build/repo/.cache/app.js'
11:00:20 AM: error Generating development JavaScript bundle failed
11:00:20 AM: ENOENT: no such file or directory, open '/opt/build/repo/.cache/polyfill-entry.js'
11:00:20 AM: error Generating development JavaScript bundle failed
11:00:20 AM: ENOENT: no such file or directory, open '/opt/build/repo/node_modules/webpack-hot-middleware/client.js'
11:00:20 AM: failed Re-building development bundle - 0.025s

package.json

"dependencies": {
    "@emotion/core": "^10.0.28",
    "@emotion/styled": "^10.0.27",
    "dependencies": "^0.0.1",
    "gatsby": "^2.17.6",
    "gatsby-image": "^2.2.30",
    "gatsby-plugin-emotion": "^4.3.5",
    "gatsby-plugin-google-tagmanager": "^2.3.7",
    "gatsby-plugin-postcss": "^2.3.2",
    "gatsby-plugin-react-helmet": "^3.1.13",
    "gatsby-plugin-sharp": "^2.2.36",
    "gatsby-plugin-webfonts": "^1.1.3",
    "gatsby-source-filesystem": "^2.3.14",
    "gatsby-source-pocket": "^2.3.1",
    "gatsby-transformer-remark": "^2.8.19",
    "gatsby-transformer-sharp": "^2.3.2",
    "react": "^16.11.0",
    "react-calendly": "^1.2.0",
    "react-dom": "^16.11.0",
    "react-helmet": "^5.2.1",
    "styled-components": "^5.1.1",
    "tailwindcss": "^1.4.6"
  },

The code is public here: GitHub - ftpaul/ftpaul at implementing-Changelog
This is a super simple project, and I have removed a lot of things in that pull request, but it is still not working.

Update: if I do not cancel the build it fails because it exceeded the max build time.

10:58:10 AM: Waiting for other deploys from your team to complete. Check the queue: https://app.netlify.com/teams/ftpaul/builds
11:00:16 AM: Build ready to start
11:00:27 AM: build-image version: 0582042f4fc261adc7bd8333f34884959c577302
11:00:27 AM: build-image tag: v3.7.6
11:00:27 AM: buildbot version: 5bd5f67b3a2fd548e6d0fc6a8ce4f41761563804
11:00:27 AM: Fetching cached dependencies
11:00:27 AM: Failed to fetch cache, continuing with build
11:00:27 AM: Starting to prepare the repo for build
11:00:28 AM: No cached dependencies found. Cloning fresh repo
11:00:28 AM: git clone https://github.com/ftpaul/ftpaul
11:00:29 AM: Preparing Git Reference pull/30/head
11:00:30 AM: Parsing package.json dependencies
11:00:30 AM: Starting build script
11:00:30 AM: Installing dependencies
11:00:30 AM: Python version set to 2.7
11:00:31 AM: Attempting node version '14' from .node-version
11:00:31 AM: Downloading and installing node v14.17.0...
11:00:32 AM: Downloading https://nodejs.org/dist/v14.17.0/node-v14.17.0-linux-x64.tar.xz...
11:00:32 AM: Computing checksum with sha256sum
11:00:32 AM: Checksums matched!
11:00:35 AM: Now using node v14.17.0 (npm v6.14.13)
11:00:35 AM: Started restoring cached build plugins
11:00:35 AM: Finished restoring cached build plugins
11:00:35 AM: Attempting ruby version 2.7.1, read from environment
11:00:37 AM: Using ruby version 2.7.1
11:00:37 AM: Using PHP version 5.6
11:00:37 AM: Started restoring cached yarn cache
11:00:37 AM: Finished restoring cached yarn cache
11:00:37 AM: Installing yarn at version 1.22.4
11:00:37 AM: Installing Yarn!
11:00:37 AM: > Downloading tarball...
11:00:37 AM: [1/2]: https://yarnpkg.com/downloads/1.22.4/yarn-v1.22.4.tar.gz --> /tmp/yarn.tar.gz.mNZQE89ym8
11:00:37 AM:   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
11:00:37 AM:                                  Dload  Upload   Total   Spent    Left  Speed
11:00:37 AM:   0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
11:00:37 AM: 100    79  100    79    0     0    350      0 --:--:-- --:--:-- --:--:--   351
11:00:38 AM:   0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
11:00:38 AM: 100    93  100    93    0     0    158      0 --:--:-- --:--:-- --:--:--   449
11:00:38 AM: 100   625  100   625    0     0    746      0 --:--:-- --:--:-- --:--:--   746
11:00:38 AM: 100 1215k  100 1215k    0     0  1048k      0  0:00:01  0:00:01 --:--:-- 1048k
11:00:38 AM: [2/2]: https://yarnpkg.com/downloads/1.22.4/yarn-v1.22.4.tar.gz.asc --> /tmp/yarn.tar.gz.mNZQE89ym8.asc
11:00:38 AM: 100    83  100    83    0     0   1224      0 --:--:-- --:--:-- --:--:--  1224
11:00:38 AM: 100    97  100    97    0     0   1008      0 --:--:-- --:--:-- --:--:--  1008
11:00:38 AM: 100   629  100   629    0     0   5124      0 --:--:-- --:--:-- --:--:--  5124
11:00:39 AM: 100  1028  100  1028    0     0   6063      0 --:--:-- --:--:-- --:--:--  6063
11:00:39 AM: > Verifying integrity...
11:00:39 AM: gpg: Signature made Mon 09 Mar 2020 03:52:13 PM UTC using RSA key ID 69475BAA
11:00:39 AM: gpg: Good signature from "Yarn Packaging <yarn@dan.cx>"
11:00:39 AM: gpg: WARNING: This key is not certified with a trusted signature!
11:00:39 AM: gpg:          There is no indication that the signature belongs to the owner.
11:00:39 AM: Primary key fingerprint: 72EC F46A 56B4 AD39 C907  BBB7 1646 B01B 86E5 0310
11:00:39 AM:      Subkey fingerprint: 6D98 490C 6F1A CDDD 448E  4595 4F77 6793 6947 5BAA
11:00:39 AM: > GPG signature looks good
11:00:39 AM: > Extracting to ~/.yarn...
11:00:39 AM: > Adding to $PATH...
11:00:39 AM: > Successfully installed Yarn 1.22.4! Please open another terminal where the `yarn` command will now be available.
11:00:39 AM: No yarn workspaces detected
11:00:39 AM: Started restoring cached node modules
11:00:39 AM: Finished restoring cached node modules
11:00:40 AM: Installing NPM modules using Yarn version 1.22.4
11:00:40 AM: yarn install v1.22.4
11:00:40 AM: [1/4] Resolving packages...
11:00:41 AM: [2/4] Fetching packages...
11:00:49 AM: warning url-loader@1.1.2: Invalid bin field for "url-loader".
11:01:19 AM: info fsevents@2.3.2: The platform "linux" is incompatible with this module.
11:01:19 AM: info "fsevents@2.3.2" is an optional dependency and failed compatibility check. Excluding it from installation.
11:01:19 AM: info fsevents@1.2.13: The platform "linux" is incompatible with this module.
11:01:19 AM: info "fsevents@1.2.13" is an optional dependency and failed compatibility check. Excluding it from installation.
11:01:19 AM: [3/4] Linking dependencies...
11:01:19 AM: warning "gatsby > @typescript-eslint/eslint-plugin > tsutils@3.21.0" has unmet peer dependency "typescript@>=2.8.0 || >= 3.2.0-dev || >= 3.3.0-dev || >= 3.4.0-dev || >= 3.5.0-dev || >= 3.6.0-dev || >= 3.6.0-beta || >= 3.7.0-dev || >= 3.7.0-beta".
11:01:19 AM: warning "gatsby-plugin-emotion > @emotion/babel-preset-css-prop > @babel/plugin-transform-react-jsx@7.14.3" has unmet peer dependency "@babel/core@^7.0.0-0".
11:01:19 AM: warning "gatsby-plugin-emotion > @emotion/babel-preset-css-prop > @babel/plugin-transform-react-jsx-development@7.12.17" has unmet peer dependency "@babel/core@^7.0.0-0".
11:01:19 AM: warning "gatsby-plugin-emotion > @emotion/babel-preset-css-prop > @emotion/babel-plugin-jsx-pragmatic > @babel/plugin-syntax-jsx@7.12.13" has unmet peer dependency "@babel/core@^7.0.0-0".
11:01:19 AM: warning "gatsby > eslint-plugin-graphql > graphql-config > @endemolshinegroup/cosmiconfig-typescript-loader > ts-node@9.1.1" has unmet peer dependency "typescript@>=2.7".
11:01:19 AM: warning " > gatsby-plugin-emotion@4.5.0" has unmet peer dependency "@babel/core@^7.11.6".
11:01:19 AM: warning "gatsby-plugin-emotion > @emotion/babel-preset-css-prop@10.2.1" has unmet peer dependency "@babel/core@^7.0.0".
11:01:19 AM: warning "gatsby-plugin-emotion > @emotion/babel-preset-css-prop > @emotion/babel-plugin-jsx-pragmatic@0.1.5" has unmet peer dependency "@babel/core@^7.0.0".
11:01:19 AM: warning " > styled-components@5.3.0" has unmet peer dependency "react-is@>= 16.8.0".
11:01:36 AM: [4/4] Building fresh packages...
11:01:43 AM: Done in 63.38s.
11:01:43 AM: NPM modules installed using Yarn
11:01:44 AM: Started restoring cached go cache
11:01:44 AM: Finished restoring cached go cache
11:01:44 AM: go version go1.14.4 linux/amd64
11:01:44 AM: go version go1.14.4 linux/amd64
11:01:44 AM: Installing missing commands
11:01:44 AM: Verify run directory
11:01:44 AM: ​
11:01:44 AM: ────────────────────────────────────────────────────────────────
11:01:44 AM:   Netlify Build                                                 
11:01:44 AM: ────────────────────────────────────────────────────────────────
11:01:44 AM: ​
11:01:44 AM: ❯ Version
11:01:44 AM:   @netlify/build 11.31.1
11:01:44 AM: ​
11:01:44 AM: ❯ Flags
11:01:44 AM:   deployId: 60b899a2b960450008289d23
11:01:44 AM: ​
11:01:44 AM: ❯ Current directory
11:01:44 AM:   /opt/build/repo
11:01:44 AM: ​
11:01:44 AM: ❯ Config file
11:01:44 AM:   No config file was defined: using default values.
11:01:44 AM: ​
11:01:44 AM: ❯ Context
11:01:44 AM:   deploy-preview
11:01:44 AM: ​
11:01:44 AM: ────────────────────────────────────────────────────────────────
11:01:44 AM:   1. Build command from Netlify app                             
11:01:44 AM: ────────────────────────────────────────────────────────────────
11:01:44 AM: ​
11:01:44 AM: $ yarn start
11:01:45 AM: yarn run v1.22.4
11:01:45 AM: $ npm run develop
11:01:45 AM: npm WARN lifecycle The node binary used for scripts is /tmp/yarn--1622710905142-0.19069199973876705/node but npm is using /opt/buildhome/.nvm/versions/node/v14.17.0/bin/node itself. Use the `--scripts-prepend-node-path` option to include the path for the node binary npm was executed with.
11:01:45 AM: > ftpaul-personal-website@0.1.0 develop /opt/build/repo
11:01:45 AM: > gatsby develop
11:01:50 AM: success open and validate gatsby-configs - 0.123s
11:01:51 AM: success load plugins - 0.970s
11:01:51 AM: success onPreInit - 0.042s
11:01:51 AM: success initialize cache - 0.007s
11:01:51 AM: success copy gatsby files - 0.164s
11:01:51 AM: success onPreBootstrap - 0.493s
11:01:51 AM: success createSchemaCustomization - 0.008s
11:01:52 AM: success Checking for changed pages - 0.000s
11:01:52 AM: success source and transform nodes - 0.206s
11:01:52 AM: success building schema - 0.393s
11:01:52 AM: info Total nodes: 56, SitePage nodes: 2 (use --verbose for breakdown)
11:01:52 AM: success createPages - 0.034s
11:01:52 AM: success Checking for changed pages - 0.000s
11:01:52 AM: success createPagesStatefully - 0.092s
11:01:52 AM: success update schema - 0.029s
11:01:52 AM: success write out redirect data - 0.001s
11:01:52 AM: success onPostBootstrap - 0.002s
11:01:52 AM: info bootstrap finished - 5.651s
11:01:52 AM: success onPreExtractQueries - 0.001s
11:01:53 AM: success extract queries from components - 0.661s
11:01:53 AM: success write out requires - 0.011s
11:01:53 AM: success run static queries - 0.021s - 2/2 97.41/s
11:01:54 AM: success run page queries - 0.649s - 9/9 13.88/s
11:02:02 AM: success Generating image thumbnails - 8.767s - 7/7 0.80/s
11:02:17 AM: β €
11:02:17 AM: You can now view ftpaul-personal-website in the browser.
11:02:17 AM: β €
11:02:17 AM:   http://localhost:8000/
11:02:17 AM: β €
11:02:17 AM: View GraphiQL, an in-browser IDE, to explore your site's data and schemaβ €
11:02:17 AM:   http://localhost:8000/___graphql
11:02:17 AM: β €
11:02:17 AM: Note that the development build is not optimized.
11:02:17 AM: To create a production build, use gatsby build
11:02:17 AM: β €
11:02:17 AM: warning ESLintError: 
11:02:17 AM: /opt/build/repo/src/pages/index.js
11:02:17 AM:    2:10  warning  'graphql' is defined but never used  no-unused-vars
11:02:17 AM:   10:8   warning  'Img' is defined but never used      no-unused-vars
11:02:17 AM: 
11:02:17 AM: βœ– 2 problems (0 errors, 2 warnings)
11:02:17 AM: 
11:02:17 AM: success Building development bundle - 21.543s
11:30:28 AM: info deleted directory at /opt/build/repo/src/data/post
11:30:28 AM: info deleted directory at /opt/build/repo/src/data
11:30:28 AM: info deleted directory at /opt/build/repo/src/assets/images
11:30:28 AM: info deleted directory at /opt/build/repo/src/assets/documents
11:30:28 AM: info deleted file at /opt/build/repo/src/data/post/00-okrs-as-perdonal-goal.md
11:30:28 AM: info deleted file at /opt/build/repo/src/data/resume.md
11:30:28 AM: info deleted file at /opt/build/repo/src/assets/images/icons8-bermuda-illustration-002.png
11:30:28 AM: info deleted file at /opt/build/repo/src/assets/images/icons8-bermuda-illustration-001.png
11:30:28 AM: info deleted file at /opt/build/repo/src/assets/images/paulo-teixeira-square-bowtie.jpg
11:30:28 AM: info deleted file at /opt/build/repo/src/assets/images/paulo-teixeira-square.jpg
11:30:28 AM: info deleted file at /opt/build/repo/src/assets/documents/2020_Paulo_Teixeira_resume.pdf
11:30:46 AM: Build exceeded maximum allowed runtime

You’re running the development build, not a production build. gatsby develop starts a server and the build command never exits. Your command should be gatsby build or something similar.

2 Likes

That’s true. I just changed it to gatsby build and it worked :man_facepalming:
It is strange because at some point I must have changed the command in the past.

Thank you so much @hrishikesh!